use log::error;

mod clear;

pub fn run(command: String, rader: Vec<String>) -> Vec<String> {
    match command.as_str() {
        "" => rader,
        "clear" => clear::clear(rader),
        unrecognized => unrecognized_command(unrecognized, rader),
    }
}

fn unrecognized_command(command: &str, mut rader: Vec<String>) -> Vec<String> {
    rader.push(format!("Unrecognized Command \"{command}\""));
    error!("Unrecognized Command");
    rader
}
